Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::TPM_Error Class Reference

`#include <tpm.h>`

Inheritance diagram for Botan::TPM_Error:

## Public Member Functions
| TPM_Error (const std::string &err)
const char * | what () const BOTAN_NOEXCEPT override

## Detailed Description

Definition at line 23 of file tpm.h.

## Constructor & Destructor Documentation

Botan::TPM_Error::TPM_Error | ( | const std::string & | err | ) |
| inline

Definition at line 26 of file tpm.h.

26 : Exception(err) {}
Botan::Exception::Exception
Exception(const std::string &msg)
Definition: exceptn.h:24

## Member Function Documentation

const char* Botan::Exception::what | ( |  | ) | const
| inline override inherited

Definition at line 26 of file exceptn.h.

Referenced by botan_cipher_update(), Botan::RSA_PrivateKey::create_decryption_op(), Botan::RSA_PublicKey::create_encryption_op(), Botan::X509_Object::do_decode(), and Botan::X509::load_key().

26 { return m_msg.c_str(); }

The documentation for this class was generated from the following file:

- src/lib/prov/tpm/tpm.h